Sets the image depth

- « Gmagick::setimagedelay

- Gmagick::setimagedispose »

- PHP Manual
- Gmagick
- Sets the image depth

# Gmagick::setimagedepth

(PECL gmagick >= Unknown)

Gmagick::setimagedepth — Sets the image depth

### Description

public Gmagick::setimagedepth(int `$depth`): Gmagick

Sets the image depth.

### Parameters

`depth`

  The image depth in bits: 8, 16, or 32.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.